Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / How to use BRepFeat_Gluer

How to use BRepFeat_Gluer

How to use BRepFeat_Gluer
Alexander Luger 2013/04/23 12:50
Hey guys!

I am trying to glue two faces together, but I was not a able to get a result (exception raised).

TopoDS_Face face1 = TopoDS::Face(shape1);
TopoDS_Face face2 = TopoDS::Face(shape2);
BRepFeat_Gluer aGluer(shape1,shape2);
aGluer.Bind(face1,face2);
LocOpe_FindEdges fined(face1,face2);
for(fined.InitIterator(); fined.More(); fined.Next())
{
aGluer.Bind(fined.EdgeFrom(),fined.EdgeTo());
}
aGluer.Build();

What is wrong with the code above?

Alex
Adorjáni Alpár 2013/10/03 17:27
Hi,

I have seen in the demo Application the example. I understand it so that the Bind function gets only the common elements to unite them.
So when here we want to glue two faces, then the gluer gets those faces but the Binder then the common edges to remove them.
So first you have to search for the neighbour, common edges.

When it would be a solid glueing, only then must the bind to remove the common faces.

Aak
 
 
Latest news
  • Open CASCADE Technology 6.7.1 is available for download!
  • Open CASCADE Technology 6.7.0 is available for download!
  • Open CASCADE Technology 6.6.0 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map